$z-index: 1000;
$color-order-changed: rgba(255, 153, 0, 0.2);
$color-promo: rgba(102, 204, 0, 0.2);
.orderTableWrapper {
    @include media-breakpoint-up('md') {
        display: flex;
        flex-direction: column;
        overflow: hidden;
        height: 95%;
    }
}
.orderTable, .skuTable {
    max-height: inherit;
    overflow-y: hidden;
    table {
        position: relative;
        border-collapse: separate;
        border-spacing: 0;
    }
    tbody {
        tr {
            background-color: #fff;
            &:nth-of-type(odd) {
                background-color: #dbdbdb !important;
            }
        }

    }
    tr {
        &:nth-of-type(1) {
            th {
                top: 0;
            }
        }
        &:nth-of-type(2) {
            th {
                top: 30px;
            }
        }
    }

    th {
        position: sticky;
        top: 100px;
        background-color: rgb(242, 242, 242);
        font-size: 12px;
        z-index: $z-index + 30;
        border-bottom-width: 1px !important;
        user-select: none;
        overflow: hidden;
        white-space: nowrap;
        &.left-sticky {
            @include media-breakpoint-up('md') {
                z-index: $z-index + 35;
            }
        }
    }
    td.q-td {
        font-size: 13px;
        background-color: inherit;
        z-index: $z-index + 20;
        &.position-sticky {
            z-index: $z-index + 30;
        }
    }
    .form-group {
        margin-bottom: 0;
    }
    .form-control {
        text-align: center;
        padding-top: 0.2rem;
        padding-bottom: 0.2rem;
        height: 25px;
    }
    .q-table{
        thead tr {
            height: 30px;
        }
        th {
            background-color: #fff;
            font-size: 14px;
        }
        th,td {
            vertical-align: middle;

            overflow: hidden;
        }
        &__bottom {
            margin: 0;
        }
    }

    .tableCellInner {
        width: inherit;
    }

    .commentButton {
       svg {
           margin: 0;
           height: 20px;
       }
    }
    .q-pagination {
        margin: 0;
        .row {
            margin-left: 0;
            margin-right: 0;
        }
    }
    .q-anchor--skip {
        margin: 0;
    }
}
.orderTable {
    th, td {
        padding: 4px 8px;
    }
}
.skuTable {
    .q-table thead th {
        padding: 10px 16px;
    }

}
.tablePaginationWrapper {
    .form-control {
        height: 100%;
    }
}
.tableWrapperFullscreen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1035;
    background-color: #ebedef;
    padding: 15px;
    .card {
        box-shadow: none;
    }
    .table-responsive {
        height: 100vh !important;
    }
}
.tableEmpty {
    height: 100px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-content: center;
    margin: 20px;
    position: relative;
    text-align: center;
    &Inner {
        width: 100%;
        max-width: 100vw;
        transition: left ease 0.2s;
        @include media-breakpoint-up('md') {
            left: var(--sidebar-offset);
        }
    }
    &Icon {
        margin-bottom: 1.5rem;
        svg {
            height: 60px;
            width: 60px;
        }
        path {
            fill: #939393;
        }
    }
    &Text {
        width: 100%;
    }
}
.tableNotEmpty:not(.tableFullscreen) {
    height: 400px;
}

.colResizer {
    content: '';
    position: absolute;
    right: -5px;
    top: 0;
    bottom: 0;
    width: 20px;
    cursor: col-resize;
    &:hover {
        background-image: linear-gradient(to right, transparent 40%, #97a1a8 41%, #97a1a8 60%, transparent 61%);
    }
}
.rowResizer {
    content: '';
    position: absolute;
    left: 0;
    bottom: -5px;
    width: 100%;
    height: 10px;
    cursor: row-resize;
    &:hover {
        background-image: linear-gradient(to bottom, transparent 40%, #97a1a8 41%, #97a1a8 60%, transparent 61%);
    }
}
.cellBg {
    &-promo {
        background-color: $color-promo !important;
    }
    &-orderChanged {
        background-color: $color-order-changed !important;
    }
}
